
Container image with Node20 and Rust, primarily for CI Rust build steps

---

```yaml
name: Build

on:
  push:
    branches:
    - master
  pull_request:
    branches:
    - master

jobs:
  build:
    runs-on: ubuntu-latest
    container:
      image: gitea.jbrumond.me/images/rust-ci:latest
      credentials:
        username: ${{ secrets.REGISTRY_USER }}
        password: ${{ secrets.REGISTRY_TOKEN }}
    strategy:
      matrix:
        rust-target:
        - x86_64-pc-windows-gnu
        - armv7-unknown-linux-gnueabihf
        - aarch64-unknown-linux-gnu
    steps:
      - name: Check out the repo
        uses: actions/checkout@v3

      - name: Build
        run: |
          rustup target add ${{ matrix.rust-target }}
          cargo build --target ${{ matrix.rust-target }}
```
